Bug 188969 - groff-perl has broken dependency on /usr/local/bin/perl
groff-perl has broken dependency on /usr/local/bin/perl
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: groff (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-13 20:07 EDT by Mark Heffernan
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-14 02:41:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Heffernan 2006-04-13 20:07:36 EDT
Description of problem:
The groff-perl package built from the RPM groff-1.18.1-27.src.rpm depends on
/usr/local/bin/perl which doesn't appear to be provided by anything.  Probably
should be /usr/bin/perl.

Version-Release number of selected component (if applicable):
groff-1.18.1-27

How reproducible:
Very

Steps to Reproduce:
1. Install source rpm groff-1.18.1-27.src.rpm from Red Hat Network
2. build rpms with "build -bb groff-1.18.spec".  Builds four groff-* packages
   including groff-perl
3. Try to install groff-perl.
  
Actual results:
Fails because of dependency on /usr/local/sbin/perl:

# rpm -iv groff-perl-1.18.1-27.i386.rpm
error: Failed dependencies:
        /usr/local/bin/perl is needed by groff-perl-1.18.1-27

Expected results:


Additional info:
Comment 1 Mark Heffernan 2006-04-13 20:31:45 EDT
.. not a bug.  During rpm build, /usr/local/bin/perl was picked up as the perl
location.  /usr/local/bin/perl was then required to install rpm.  Made sure
/usr/local/bin was not in path when building rpm, and rpm works fine.

Note You need to log in before you can comment on or make changes to this bug.